/*
 Copyright (C) 2012 Almer Lucke
 
 Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation 
 files, to deal in FCSSlideMenuContainerController without restriction, including without limitation the rights to use, copy, 
 modify, merge, publish, distribute, sublicense, and/or sell copies of FCSSlideMenuContainerController, and to permit 
 persons to whom FCSSlideMenuContainerController is furnished to do so, subject to the following conditions:
 
 The above copyright notice and this permission notice shall be included in all copies or substantial portions of 
 FCSSlideMenuContainerController.
 
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE 
 WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR 
 COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR 
 OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#import "RightMenuViewController.h"
#import "FCSSlideMenuContainerController.h"
#import "TopViewController.h"
#import "TopViewController2.h"

@implementation RightMenuViewController

#pragma mark - Actions

- (IBAction)top1:(id)sender
{
    TopViewController* controller = [[TopViewController alloc] initWithNibName:@"TopViewController" bundle:nil];
    [self.slideMenuContainer setTopContentViewController:controller];
    [self.slideMenuContainer closeMenu];
    [controller release];
}

- (IBAction)top2:(id)sender
{
    TopViewController2* controller = [[TopViewController2 alloc] initWithNibName:@"TopViewController2" bundle:nil];
    [self.slideMenuContainer setTopContentViewController:controller];
    [self.slideMenuContainer closeMenu];
    [controller release];
}

@end
