/*
 Copyright (C) 2012 Almer Lucke
 
 Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation 
 files, to deal in FCSSlideMenuContainerController without restriction, including without limitation the rights to use, copy, 
 modify, merge, publish, distribute, sublicense, and/or sell copies of FCSSlideMenuContainerController, and to permit 
 persons to whom FCSSlideMenuContainerController is furnished to do so, subject to the following conditions:
 
 The above copyright notice and this permission notice shall be included in all copies or substantial portions of 
 FCSSlideMenuContainerController.
 
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE 
 WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR 
 COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR 
 OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */


// SETUP WITHOUT NIB IS ALSO POSSIBLE, UNCOMMENT COMMENTED CODE BELOW
// THEN REMOVE FCSSlideMenuContainerController* menuContainerController = [[FCSSlideMenuContainerController alloc] initWithNibName:@"FCSSlideMenuContainerController" bundle:nil];


#import "AppDelegate.h"
#import "FCSSlideMenuContainerController.h"
//#import "TopViewController.h"
//#import "LeftMenuViewController.h"
//#import "RightMenuViewController.h"
#import <QuartzCore/QuartzCore.h>

@implementation AppDelegate

@synthesize window = _window;
@synthesize viewController = _viewController;

- (void)dealloc
{
    [_window release];
    [_viewController release];
    [super dealloc];
}

- (BOOL)application:(UIApplication*)application didFinishLaunchingWithOptions:(NSDictionary*)launchOptions
{
    //FCSSlideMenuContainerController* menuContainerController = [[FCSSlideMenuContainerController alloc] init];
    //TopViewController* topViewController = [[TopViewController alloc] initWithNibName:@"TopViewController" bundle:nil];
    //LeftMenuViewController* leftMenuController = [[LeftMenuViewController alloc] initWithNibName:@"LeftMenuViewController" bundle:nil];
    //RightMenuViewController* rightMenuController = [[RightMenuViewController alloc] initWithNibName:@"RightMenuViewController" bundle:nil];
    
    FCSSlideMenuContainerController* menuContainerController = [[FCSSlideMenuContainerController alloc] initWithNibName:@"FCSSlideMenuContainerController" bundle:nil];
    
    menuContainerController.contentView.layer.shadowColor = [UIColor blackColor].CGColor;
    menuContainerController.contentView.layer.shadowOpacity = 0.6;
    menuContainerController.contentView.layer.shadowRadius = 10.0;
    //menuContainerController.topContentViewController = topViewController;
    //menuContainerController.leftMenuViewController = leftMenuController;
    //menuContainerController.rightMenuViewController = rightMenuController;
    
    self.window = [[[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]] autorelease];
    self.viewController = menuContainerController;
    self.window.rootViewController = self.viewController;
    [self.window makeKeyAndVisible];
    
    //[topViewController release];
    //[leftMenuController release];
    //[rightMenuController release];
    [menuContainerController release];
   
    return YES;
}

@end
